%define debug_package %{nil}

Name: ovs-agent
Version: 3.2.1
Release: 183.11
Summary: Agent for Oracle VM
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-3.0.tar.bz2
Patch1: dummy.patch
Patch2: add-missing-agent-storage-init-py.patch
Patch3: empty-agent-storage-init-py.patch
Patch4: assembly-tolerant-missing-info.patch
Patch5: rev9453.patch
Patch6: rev9455.patch
Patch7: rev9457.patch
Patch8: rev9473.patch
Patch9: ovs-agent-ntp-servers-order.patch
Patch10: rev9477.patch
Patch11: rev9479.patch
Patch12: rev9487.patch
Patch13: rev9489.patch
Patch14: rev9491.patch
Patch15: rev9497.patch
Patch16: rev9499.patch
Patch17: rev9506.patch
Patch18: ovs-agent-statistics-suspend-resume-support.patch
Patch19: rev9510.patch
Patch20: ovs-agent-mask-password-for-tuple.patch
Patch21: rev9536.patch
Patch22: rev9542.patch
Patch23: rev9548.patch
Patch24: rev9554.patch
Patch25: ovs-agent-delay-cmd.patch
Patch26: ovs-agent-fix-max-stat-queue-size.patch
Patch27: ovs-agent-stats-fix-cpu-util.patch
Patch28: fix-mixing-tab-space.patch
Patch29: ovs-agent-ipmi-run-cmd-log-password.patch
Patch30: rev9590.patch
Patch31: scrub-iscsi-access-descriptor-passwd.patch
Patch32: ovs-agent-stat-cpu-util-ceiling.patch
Patch33: rev9614.patch
Patch34: ovs-agent-copy-file-log-dd-error.patch
Patch35: rev9626.patch
Patch36: rev9628.patch
Patch37: ovs-agent-virtualnetwork-config.patch
Patch38: rev9636.patch
Patch39: rev9642.patch
Patch40: fix-vlan-uuid.patch
Patch41: rev9654.patch
Patch42: license-2012.patch
Patch43: rev9696.patch
Patch44: rev9714.patch
Patch45: creating-state-server-obj.patch
Patch46: add-lanplus-support.patch
Patch47: swap-uuid-ignore-warning.patch
Patch48: add-packages.patch
Patch49: change-sparc-family.patch
Patch50: add-import-vm-api.patch
Patch51: fix-vlan-macaddr.patch
Patch52: no-bond-restrictions.patch
Patch53: ovca-m-network.patch
Patch54: sysfs-to-bond.patch
Patch55: move-bond-ip.patch
Patch56: remove-pethx-code.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libaio-devel >= 0.3
Requires: python >= 2.4
Requires: python-simplejson >= 2.0.7
Requires: multiprocessing >= 2.6.1.1

%description
Agent daemon for Oracle VM.

%prep
%setup -q -n ovs-agent-3.0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0

%build
make build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-disk_info
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-multipath
mkdir -p ${RPM_BUILD_ROOT}/var/log/rescan_for_disks
mkdir -p ${RPM_BUILD_ROOT}/var/log/disconnect_device
mkdir -p ${RPM_BUILD_ROOT}/var/log/flush_inflight_io

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    default_passwd='oracle:{SHA}QxNktkUPxHzNv2oiBd/bG663lBI='
    current_passwd=`cat /etc/ovs-agent/passwdfile`
    if [ "$current_passwd" = "$default_passwd" ]; then
        mv /etc/ovs-agent/passwdfile /etc/ovs-agent/passwdfile.default
    fi
fi

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ovs-agent
elif [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    if [ -f /etc/ovs-agent/passwdfile.default ]; then
        mv /etc/ovs-agent/passwdfile.default /etc/ovs-agent/passwdfile
    fi
    # Fix SMBIOS system UUID issue when upgrading to 3.2.1 [bug 14216405 & 14511018].
    ovs-agent-fake-uuid
fi
/usr/sbin/ovs-agent-keygen

%preun
if [ $1 = 0 ]; then
    /sbin/service ovs-agent stop
    /sbin/chkconfig --del ovs-agent
fi

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) /etc/ovs-agent
/etc/init.d/ovs-agent
/etc/xen/scripts
%{_libdir}/python*/site-packages
%dir /var/cache/ovs-disk_info
%dir /var/cache/ovs-multipath
%dir /var/log/rescan_for_disks
%dir /var/log/disconnect_device
%dir /var/log/flush_inflight_io
%{_sbindir}

%changelog
* Thu May 30 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183.11 
- Remove legacy code that handles the renaming of bridge
  interface from ethx to pethx. This caused xsigo interfaces of the form
  pethx not to be recognised during network discover [bug 16868321]  

* Wed May 15 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183.10 
- Move bond0's address to old slave. Fix the code so that the config does not exist when gateway
  is not present on the command line [bug 16815229]  

* Fri May 10 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183.9 
- Changed bonding code to use sysfs, instead of using ifensalve [bug 16794580]  

* Wed May 08 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183.8 
- Re-configure OVCA compute node management interface; replace bond0 eth interface with PVI,
  clear current addresses, and assign new one. [bug 16782486]  

* Wed Apr 17 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183.7 
- Removed the restrictions on number of bond per server, and the number of ports per bond. [bug 16681618]  

* Thu Mar 21 2013 Guido Tijskens <guido.tijskens@oracle.com> - 3.2.1-183.6 
- Inhibits writing HWADDR to config files of vlan on bond [bug 16105407]
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Guido Tijskens <guido.tijskens@oracle.com> [bug 16105407]  

* Wed Mar 20 2013 Chuang Cao <chuang.cao@oracle.com> - 3.2.1-183.5 
- Add import_vm api for being called
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 16446383]  

* Mon Mar 04 2013 Chuang Cao <chuang.cao@oracle.com> - 3.2.1-183.4 
- Change SPARC family in solaris.py
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 16384147]  

* Mon Mar 04 2013 Chuang Cao <chuang.cao@oracle.com> - 3.2.1-183.3 
- Add packages network nfs ntp in file manifest.p5m
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 16384183]  

* Mon Feb 04 2013 Chuang Cao <chuang.cao@oracle.com> - 3.2.1-183.2
- Swap the first 8 bytes of uuid and ignore warning
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 16231401]

* Wed Jan 23 2013 Chuang Cao <chuang.cao@oracle.com> - 3.2.1-183.1 
- Add ipmi lanplus support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Chuang Cao <chuang.cao@oracle.com> [bug 16000702]  

* Thu Dec 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-183 
- Change the call getModelManager() to read the manager's server object
  from the creating state instead of the in-use state, in order to avoid
  race condition where the the server object comes back NULL. [bug 16029834]  

* Thu Dec 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-182 
- report VM cpu_time for statistics
  This patch will report VM CPU time to Manager as statistic in format:
  vmCpuTime float VM accumulated CPU time in seconds (as shown in `xm list`).
  Also in this patch: when VM is starting, sometime we cannot get stats for this
  VM for one time (because this VM is under construction). After this patch, we
  will ignore this VM only and report stats for other VMs. Before this patch we
  stop reporting stats for all VMs for this time.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 15964895] [bug 15996693]  

* Wed Dec 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-181
  Bug 14517284 - sparc: wrong log files collected
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com>

* Wed Dec 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-180 
- fix license copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15949647]  

* Wed Nov 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-179 
- Bug 15931916 - ovs-agent-setup prints confusing message about oracle user
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-178 
- Fix the server uuid changing due to vlan configuration.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 15920008]  

* Tue Nov 27 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-177 
- Bug 14201160 - agent should have command to properly configure new sparc server
  Bug 13610648 - sparc agent installer should populate etc/host
  (configuration file support)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <Liam.Merwick@oracle.com> 

* Mon Nov 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-176 
- Bug 15833928 - ovm for sparc: ovs-agent-passwd - "import sha" deprecation warning
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Nov 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-175 
- fix error when virtualnetwork not exist in agent.ini
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15917707]  

* Sat Nov 24 2012  <> - 3.2.1-174 
- 14780815 - SPARC OVS-AGENT SHOULD SOLELY DEPEND ON LDOMS 3.0 (remove dead code)
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Nov 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-173 
- Bug 14201160 - agent should have command to properly configure new sparc server
  Bug 13610648 - sparc agent installer should populate etc/host
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Liam Merwick <Liam.Merwick@oracle.com> 

* Tue Nov 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-172 
- log error when dd failed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15892623]  

* Mon Nov 19 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-171 
- BUG 15833890 - OVM FOR SPARC: VM CPU UTILIZATION DOESNOT AUTO REFRESH WHEN CPU LOAD CHANGES 

* Fri Nov 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-170 
- fix > 1.0 serverCpuUtil issue
  When we do cpu over provisioning (nr_vcpus > nr_pcpus), we can get > 1.0
  serverCpuUtil.
  This patch fixes this issue by checking the ceiling every time.
  This patch also makes the debugging code easier to use.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 14805645]  

* Thu Nov 15 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-169 
- Add recursive checking and scrubing for the password in log message.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 15866336]  

* Mon Nov 12 2012 William Roche <william.roche@oracle.com> - 3.2.1-168 
- BUG 15859517 - OVS-AGENT SERVICES MONITORING FOR SMF
  BUG 14780307 - LOST CONNECTION WITH LDOMS MGR AFTER SERVER REBOOT
  BUG 14780815 - SPARC OVS-AGENT SHOULD SOLELY DEPEND ON LDOMS 3.0 

* Mon Nov 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-167 
- fix run_cmd() log password issue
  run_cmd() will log ipmi password in log. This patch fixes this issue by
  regenerating new exception contents.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15862926]  

* Mon Nov 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-166 
- fix mixing tab and space
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15864719]  

* Thu Nov 08 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-165 
- fix cpu util calculation for stats
  We have two issues:
  1. The total_cpu_load should be initialized outside of the for loop.
  2. cpu_time_delta may > time_delta when the domain has more than one vcpus. We
  use cpu_load_ceiling to make sure it never exceed vcpu_count * 100
  This patch fixes the logic for total cpu utilization calculation.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14805645]  

* Thu Nov 08 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-164 
- adjust max stats queue length
  The calculated the max queue length wrong: each collection will get: 11 *
  number-of-vms + 17 items, which may exceed the max_queue_len we calculated
  before. Then the result is losing stats: new stats pushed to the queue will pop
  other stats.
  This patch adjusts the max queue len to a reasonable value.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14575794]  

* Tue Nov 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-163 
- delay reboot/shutdown command
  If reboot/shutdown happens to fast, Manager cannot get a response. This patch
  delays execution of reboot and shutdown command for 5 seconds and run the
  commands in a daemon.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14830130]  

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-162 
- Bug 14846665 - ovs sparc packages should not use the ldoms publisher
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-161 
- Bug 13439610 - warnings when removing the ovs-agent package
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 31 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-160 
- Bug 14524471 - cannot connect to vm serial console after manager reinstall with same uuid 

* Tue Oct 30 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-159 
- Bug 14803944 - ovm sparc: cannot start vm after it is stopped by command "poweroff" in console
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-158 
- fix logging password masking for tuple
  The problem is because log record.args could be:
  ('call start', 'import_ISO', ('http://a:b@c.com',))
  When we do mask_passowrd(('http://a:b@c.com',)), we get an exception (and we
  silently ignored all exceptions).
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14811987]  

* Tue Oct 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-157 
- Bug 14799313 - sparc agent notification issue
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-156 
- add suspend/resume support to statistics
  Currently if users set the interval to a very big number, e.g. 1000,
  then after switch to 20, the process will sleep there for 1000s.
  Our new solution also handles this case.
  After this patch, the API behaves like this:
  function:: set_statistic_interval(interval)
  Set statistic interval.
  Args:
  - interval (int): the interval between each statistic collection and sending.
  The value should be greater or equal to `-1`.
  Special value `0` means using using system default, which is 20 seconds for
  now.
  Special value `-1` means suspend statistic collection and sending.
  You should set another value to resume statistic collection and sending.
  Raises:
  
  - Exception on error.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14798704]  

* Tue Oct 23 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-155 
- ovs-agent-dlm: differentiate exit status of local/dlm lock errors.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14753739 

* Mon Oct 22 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-154 
- Bug 14514677 - ovm sparc: cannot boot a vm from cdrom
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 22 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-153 
- Bug 14793869 - error discovering network with vlan on aggregate
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-152 
- Bug 14781896 - ovm sparc: shareable vdisk cannot be added to the second vm.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-151 
- Bug 14782148 - OVM SPARC: CANNOT CHANGE ISO IN CDROM WHEN VM IS RUNNING.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-150 
- Bug 14781954 - OVMSPARC: FAIL TO ADD 2 VNICS WHEN VM IS RUNNING
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-149 
- Bug 14760448 - SETNTPSERVERS() WOULD NOT CHANGE THE NTP SERVER ORDER IN /ETC/NTP.CONF
  This is the fix for 14760448 for the sparc ovs-agent
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-148 
- Bug 14769855 - OVS-AGENT NEEDS TO RECOVER IF LDMD IS STOPPED/STARTED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-147 
- respect NTP servers order
  This patch will first clear all NTP servers and write the new ones again using
  the passed in order.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14760448]  

* Tue Oct 16 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-146 
- Bug 14407448 - MIGRATION WITH BRIDGE OVER ON SPARC FAIL IN PARTICULAR CONFIGURATION
  Bug 14674188 - CAN'T HOT ADD A VNIC USING A LOCAL BRIDGE 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-145 
- Bug 14734657 - OVM SPARC: DISCOVER_NETWORK: KEYERROR: 'BROADCAST'
  Bug 14525910 - ERROR DURING ADDING PORT INTO VLAN GROUP ON OVM/SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-144 
- Bug 14756593 - SPARC AGENT ISSUE ON SERVER REBOOT - LOSES MOUNT POINT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-143 
- Bug 14763512 - SPARC AGENT SHOULD SUPPORT NEW SPARC PROCESSOR
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-142 
- Assembly: tolerant missing <Info> when parsing OVF.
  Although <Info> is required in the spec, some shipped OVF templates from OVAB
  are missing it. We don't want to fail for this trivial info thing.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Thu Oct 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-141 
- empty agent/storage/__init__.py
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Oct 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-140 
- add missing agent/storage/__init__.py
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Oct 11 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.2.1-139
- rebase tarball

* Thu Oct 11 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-138 
- Fixed a permission problem in /etc/xen/scripts/* 

* Wed Oct 10 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-137 
- Added support for openvswitch
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Oct 09 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-136 
- Bug 14740478 - SPARC MGR .ISO EXPORTED WITH "RO,SLICE" AND FAILS SOLARIS INSTALL
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 09 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-135 
- Bug 14739916 - SPARC MGR CREATE VM W/ VIRTUAL DISK AND .ISO GETS "INVALID VDISK DRIVER 'HDA'"
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-134 
- add concurrent migration related capabilities
  We need to surface two new capabilities (integers) to the manager:
  1. concurrent live migrations allowed as a source node
  2. concurrent live migrations allowed as a destination node
  3. whether concurrent live migration is allowed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-133 
- Solaris package does not need to depend on PyXML anymore
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-132 
- remove dependency on PyXML
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Oct 05 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-131 
- sparc agent should support unauthentication migration
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 05 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-130 
- Bug 14726094 - INITIAL DISCOVER OF SERVER (SVS003) - HANGS.. RESOURCE TEMPORARILY UNAVAILABLE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-129 
- sparc agent should get platform information using the platinfo command
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-128 
- Bug 14711845 - SPARC AGENT MUST FILTER OUT LOCAL TIME SOURCE DURING GETNTPSERVERS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 03 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-127 
- Change Solaris package FMRI regexp to handle optional sequences
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 02 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-126 
- Bug 14701075 - SPARC SERVER NOT RETURNING ALL EXPECTED STATS
  Bug 14679882 - STAT CHECKING WE ARE SEEING NEGATIVE CPU UTILIZATION
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 02 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-125 
- support for sending WOL packets on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Oct 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-124 
- add vmDom0* stats for sparc
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-123 
- Solaris build and package support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-122 
- Implement WOL in Python by broadcasting a magic packet.
  Note:
  Python socket library doesn't have SO_BINDTODEVICE defined, however,
  it is available through <sys/socket.h> on Linux:
  # define SO_BINDTODEVICE 25
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-121 
- remove dependency with bsddb on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Sep 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-120 
- Bug 14679882 - STAT CHECKING WE ARE SEEING NEGATIVE CPU UTILIZATION
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-119 
- Bug 14142262 - SHOULD IMPLEMENT AGENT REMOTE API ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Tue Sep 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-118 
- fix parse error for empty string in set_vif()
  The root cause of this bug is: when there's no VIF attached to the VM, xm
  network-list will return empty string and sxp.all_from_string() will return None
  (which is a bad design: return empty list [] is the desired result).
  With this patch, we will check the return value of sxp.all_from_string().
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14611925]  

* Mon Sep 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-117 
- [un]export_fs API for sparc
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Sep 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-116 
- Bug 14643340 - VNIC HOT ADD DOES NOT WORK
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-115 
- HA: concurrently start VMs to improve performance.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14637509 

* Tue Sep 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-114 
- Bug 14517368 - SPARC: OVS SERVER IS OWNED BUT NTPD SEVICE IS OFFLINE
  migration group should be based on cpu frequency
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 18 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-113 
- add YUM_PACKAGE_MANAGEMENT capability
  As YUM is not available in Solaris, we introduce YUM_PACKAGE_MANAGEMENT
  capability. Then Manager will use this capability to determine whether to call
  yum related APIs.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14636063]  

* Mon Sep 17 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-112 
- stats should not be returned for vsw interfaces
  ldmxml requests should not be logged for stats
  ldmxml requests should include namespaces definition
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 14 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-111 
- Bug 14630507 - SPARC STATS RETURN MEMORY SIZE IN BYTES INSTEAD OF MB
  stats should ignore vswitches not on the control domain
  stats sometimes fail when a domain gets bound
  stats fail if there is an inactive domain
  network stats should not return strings but longs
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-110 
- remove unnecessary calls to restart_stats which already removed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Sep 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-109 
- Bug 14617138 - MIGRATING VM FROM SVS003 TO SVS001, VDISK CONFIGURATION ISSUE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 12 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-108 
- Solaris stats support. 

* Tue Sep 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-107 
- Bug 14507906 - OVM SPARC: CANNOT MOUNT VIRTUAL CDROM IN SOLARIS GUEST
  Bug 14481563 - OVM SPARC - CANNOT REMOVE CDROM WHEN VM IS RUNNING
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com> 

* Tue Sep 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-106 
- improve statistics
  This patch includes these improvements for statistics:
  1. Add tmem related stats.
  2. Prepare for solaris_ldoms support: the solaris_ldoms support patch is ready
  and will checkin after this patch.
  3. Every node send stats itself, which eliminates 20s delay compared to sending
  on master only.
  4. No qlayer monitor is required any more.
  We can safely remove these RPMs from Server ISO after this patch: `monitor`,
  `python-twisted-core`, `python-zope-interface`, `libyaml` and `PyYAML`.
  This patch is fully backward compatible and no Manager change is needed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Sep 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-105 
- create assembly: remove AllocationUnits for Processor according to OVF spec
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Wed Sep 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-104 
- add create_assembly() support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-103 
- link XMLRPC /api/1 to / to fix 3.1.1 Manager issue
  This patch links XMLRPC /api/1 to latest to fix release Manager 3.1.1 issue: it
  was hardcoded to pass down /api/1 for get_api_version().
  With this patch, OVM Manager 3.1.1 still works for OVM 3.2.1 Server.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Fri Aug 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-102 
- revise plugin blacklist for sosreport according to request from support team.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Justin Jeffs <justin.jeffs@oracle.com> [bug 14479024]  

* Wed Aug 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-101 
- Add support for 4 ports per bond 

* Wed Aug 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-100 
- Preserve LRO setting (off) on bond interfaces for dom0 traffic [bug 14265990]  

* Tue Aug 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-99
- Add the storage util directory [bug 14502602]

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-98 
- Fix SMBIOS system UUID issue when upgrading to 3.2.1 [bug 14216405] [bug 14511018]

* Tue Aug 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-97 
- Make sure the compiled regex is not None before searching.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-96 
- ovs-agent-fake-uuid should be called in post script instead of pre script: at
  pre script, ovs-agent-fake-uuid is not installed yet, so it cannot be found.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-95 
- add import_vm() support
  It has the same behavior as import_template() except creating VM instead of
  Template.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-94 
- list_vms fails on sparc if there is a bound domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-93 
- network discovery fails if an interface has multiple IP addresses
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-92 
- write a fake UUID if upgrading from 3.1.1 for Server SMBIOS version > 2.6
  For Server with SMBIOS 2.6+, in OVM 3.1.1-, we were using the wrong UUID. After
  upgrading to 3.2.1, Agent reports the right UUID. But Manager is still recording
  the old wrong UUID, so Manager cannot recognize this Server.
  The solution is: when upgrading from 3.1.1-, for Server with SMBIO
  2.6+, we writhe the old wrong UUID as fake UUID.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 14511018] [bug 14216405]  

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-91 
- Bug 14504906 - UNABLE TO DISCOVER A SPARC SERVER WHERE THERE IS AN INACTIVE VIRTUAL SWITCH
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-90 
- add SASL authentication to LDoms XML connection
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-89 
- Add the directory for storage utilization.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 14502602]  

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-88 
- add HVM_MAX_VNICS = 8 capability for xen
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14512851]  

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-87 
- list migrating/saving VMs correctly
  During migrating/saving, the VM will be renamed to migrating-<name>. At this
  time if we call list_vm(), Agent will raise an exception: no such VM.
  This patch fixes this issue: it will check whether migrating-<name> is exist and
  then return the info of that VM.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14505079]  

* Thu Aug 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-86 
- remove references to Solaris 11.1
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-85 
- Bug 14480763 - LAUNCH SERIAL CONSOLE > WRONG VM
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-84 
- log is incomplete when a LDMError exception is raised
  The problem comes from a pickle issue with user-defined Exception,
  see http://bugs.python.org/issue1692335. To avoid this issue,
  new exception constructor should call the base class constructor
  with the same arguments.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-83 
- Bug 14407300 - LDMXML CONNECTION FAIL FOR EACH API CALL
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com> 

* Tue Aug 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-82 
- We add a blacklist to sosreport plugins. Also run sosreport in single thread
  mode, which will help alleviate cpu, disk and memory load on busy servers.
  The time add by "--no-multithread" is acceptable. From my test:
  * Single thread: 2m28.507s
  * Multithread: 1m52.572s
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14479024] 

* Fri Aug 10 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-81 
- migration setup/cleanup API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Aug 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-80 
- add support for async proc stop
  We add a default SIGUSR2 handler: raise an exception. And this exception will be
  sent to Manager by notification.
  Manager should always wait for the async proc exit notification. The
  notification may takes very long time to arrive, which means the it takes long
  time to stop the task, maybe the clean up need a lot of time. Anyway, Manager
  should be patient.
  We may add more specific stop handlers to other APIs in the future, e.g., on
  import_assembly(), we should clean up upon stopping. Currently if we stop the
  import_assembly() task, the import will still success, which will cause data out
  of sync between Server and Manager.
  Also in this patch:
  1). Improve the return value of ovs_async_proc_status(). Now it returns the
  process state in ps output.
  2). Improve logging: now both sync and async call respect the EXCEPTION_LIST
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Aug 09 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-79 
- When authentication fails the notification server goes into a silent loop, periodically
  checking if there is a new url and tries to reconnect again.  If the new url is the same
  the the old failing one the server will not try. This fix causes the server to try to
  reconnect on take_owner ship command regardless of the url value. [bug 14467543] 

* Tue Aug 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-78 
- Bug 14468062 - SPARC SERVER GETOVMVERSION() RETURNS EXTRA FIELDS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-77 
- <Capabilities> should be part of the <Server> section
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Aug 03 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-76 
- vmpinfo support. 

* Fri Aug 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-75 
- remove open-ovf dependency from ovs-agent due to license issue
  Reimplemented the functions in open-ovf. Also in this patch:
  1. Move all assembly implementations to agent/lib/assembly.py: keep all logic
  together.
  2. Import internal reference files on import_assembly(), but implement external
  (http/https) reference files on deploy_assembly(). Before we do everything on
  import_assembly().
  3. Also return Templates created on deploy_assembly() besides ISOs and VirtualDisks.
  4. Removed some unused/unsupported contents from get_assembly_config(): Name,
  Strings, Floppy.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 14399740] 

* Thu Aug 02 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-74 
- The script calls sys.exit() to terminate the program. sys.exit() will raise
  SystemExit which is then caught by the exception handler and printed. As our
  intention here is just to terminate the program, this patch calls os._exit()
  instead. os._exit() will terminate the program without raising any exception.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 01 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-73 
- Add storage_info command to ovs-agent for devmon.
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14399376] 

* Wed Aug 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-72 
- add GPL header to ldoms/solaris files
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Tue Jul 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-71 
- create /var/run/ovs-agent and /var/run/ovmwatch directories dynamically.
  For new Linux distributions, /var/run and it's alias /run are tmpfs.  So create
  dir /var/run/ovs-agent and /var/run/ovmwatch during installation time makes no
  sense any more.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-70 
- sparc vm cpu reconfigure does not work
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 25 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-69 
- Compare the slave MTU to the bond MTU since the bond MTY equal to its slave MTU,
  and there could be more than one slave in the bond. [bug 14365805] 

* Wed Jul 25 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-68 
- sparc template and assembly support
  list_vms fails on sparc if there is an inactive domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Jul 25 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-67 
- Add ISCSI_Target contents into "ovs-agent-rpc discover_physical_luns".
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 13968454] 

* Tue Jul 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-66 
- prevent vm from starting when server is in maintenance mode (ldoms)
  add agent password file for migration (ldoms)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jul 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-65 
- add vnc console and serial console capabilities
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Ellen Batbouta <ellen.batbouta@oracle.com> 

* Tue Jul 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-64 
- change error text to hide maintenance mode from Agent: it's a Manager only concept.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jul 24 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-63 
- Add the missed new script file to the patch merge-ovs-storage-utils-into-agent. 

* Mon Jul 23 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-62 
- Dynamic Vnet Support.
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jul 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-61 
- remove Solaris and PRI code because of licensing issue (temporary solution for beta release)
  improve version reporting
  sparc vm start fails for vm with no vnet
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Mon Jul 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-60 
- Bug 14355079 - JOB HUNG STARTING VM: ON SERVER: SVS001; SVR NOT RETURNING START COMMAND SUCCESS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Jul 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-59 
- Fix Agent HA starting VMs on Server in maintenance mode issue.
  The solution is to use server roles to restrict start_vm(): if the server has
  no 'xen' role, start_vm() will raise an exception.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> 

* Mon Jul 23 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-58 
- Merge the useful files from ovs-storage-utils into ovs-agent and only build the ovs-agent rpm. Also, take off vi from the file names.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Zhang <zhigang.zhang@oracle.com> 

* Mon Jul 23 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-57 
- Agent excludes VIFs from the network discovery by testing if /sys/class/net/vifx.y/device exists.
  If it does not then exclude it from discovery. Since the device entry exists in the new Kernel,
  this test is no longer valid. Use the Vif name to exclude it instead. [bug 14298598] 

* Fri Jul 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-56 
- add missing patch r8609 (overrriden by r8613) again:
  r8609 | zhigwang | 2012-06-06 15:44:34 -0400 (Wed, 06 Jun 2012) | 14 lines
  Changed paths: 
     M /ovm/trunk/agent/lib/linux.py 
  check free space before unpack file 
  If there's not enough space, we don't need to unpack a file. 
  Unfortunately, we cannot get unpacked filesize for tar/tar.gz/tar.bz2.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14134281]

* Fri Jul 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-55 
- add VM_MEMORY_ALIGNMENT capability
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 14192206]

* Thu Jul 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-54 
- sparc network discovery fails with bridge over bond
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-53 
- sparc XML output for bond discovery is incorrect
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-52 
- sparc vlan/bond/bridge merge errors
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-51 
- socket shutdown errors should be ignored
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jul 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-50 
- sparc discover_network fails with existing vswitch
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jul 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-49 
- add local storage element capability
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jul 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-48 
- exclusive LockFile fails on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jul 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-47 
- If import templates from one server and start the VM in another server, it seems
  the disk is not ready and pygrub will return error. However, this happened twice
  in unittest, but I haven't reproduced that yet.
  This patch will do a fsync() to the disk file.
  This patch also removes some wrong comments: copy_file() returns nothing on success.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14268749] 

* Tue Jul 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-46 
- fix logic error on create_vm
  This error is introduced in 3.2.1 during refactor: when VM directory exists, VM
  creation will success but no parameter will be applied, which is wrong.
  This patch fixes that and reverts to the old (3.1.1-) behavior: will apply
  parameters when the VM directory exists.
  Also remove unused passwdfile.default.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Jul 02 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-45 
- If a bond interface does not have IP, do not exit just continue to get the MTU. [bug 14250851] 

* Tue Jun 26 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-44 
- For some old systems which don't have the qualified UUID from SMBIO, we need to generat one, otherwise, we'd run into the problem that same UUID shared by different server.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jun 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-43 
- Restrict agent password to at least 6 characters due to oracle security policy
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14221303]

* Mon Jun 25 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-42 
- According to RFC4122, fix the UUID little-endian issue for SMBIOS version 2.6 or later.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Zhang <zhigang.zhang@oracle.com> [bug 14175428] 

* Sat Jun 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-41 
- LDoms VM configuration API and ovmwatch daemon
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Thu Jun 21 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-40 
- The lock to prevent concurrent db access is not working. It is caused by wrong
  parameters passed to LockFile.acquire(). The patch also makes the parameters
  of LockFile.acquire() more consistant with that of FileLock.acquire().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 14215643 

* Thu Jun 21 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-39 
- LDoms network API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Wed Jun 20 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-38 
- Clean-up the xml output from command discover_hardware since some items were NOT needed by Manager. 

* Wed Jun 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-37 
- Parse /etc/sysconfig/o2cb in discover_cluster().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
- Set the bond MTU to equal to the primary interface MTU, if the primary
  interface MTU is not 1500 [bug 14187447] 

* Sun Jun 17 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-36 
- LDoms host API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Jun 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-35 
- This problem was caused by the indent value is getting too large for the buffer.
  It is interesting that it produces on this system only. In case it is fixed
  and tested on ca-otest318 [bug 14105411] 

* Fri Jun 15 2012  <> - 3.2.1-34 
- correct the value of nr_nodes for NUMA system.
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14141554] 

* Fri Jun 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-33 
- Increase max number of bonds from 6 TO 10 for ovm 3.2.1 [bug 13998493] 

* Thu Jun 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-32 
- retain default password upon upgrade
  If  customers using the default password (oracle), the old password file will
  be removed upon upgrading from 3.1.1- to 3.2.1.
  This patch will fix this: save before upgrade and then restore after upgrade. [bug 14158623] 

* Thu Jun 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-31 
- Xend will destroy a VM is the VM restart too fast (within 60 seconds) to prevent
  loops.
  With this patch, reboot_vm() will first check the elapse time since start. If
  it's less then 60 seconds, it will wait for a while until the elapse time reach
  the 60 seconds limit. Then it will call xm reboot.
  The reboot_vm() time will a bit longer if you call it immediately after start_vm():
  # time ovs-agent-rpc reboot_vm "'6e6654265fb24a70996f4a531318d85f'"
  "'07468e5732fc4a02941ecb57d1068dc9'"
  real    1m20.618s
  user    0m0.076s
  sys    0m0.032s
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 13984761&14189650&14139399&14056739] 

* Mon Jun 11 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-30 
- Skip MII,Ethtool,and WOL data for VLAN interfaces.
  This info is duplicate and not used by the manager. [bug 14105411] 

* Thu Jun 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-29 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jun 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-28 
- Repository db upgrade is broken
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jun 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-27 
- Bump Agent API version to [3]
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Jun 06 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-26 
- Add MTU bond to discovery [bug 13952504] 

* Wed Jun 06 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-25 
- Foundations for LDoms support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-24 
- Check if VIP is correctly bound to base IP before configuration.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14107022 

* Wed Jun 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-23 
- check free space before unpack file
  If there's not enough space, we don't need to unpack a file.
  Unfortunately, we cannot get unpacked filesize for tar/tar.gz/tar.bz2.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14134281] 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-22 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-21 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-20 
- remove some unused capabilities
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Ellen Batbouta <ellen.batbouta@oracle.com> 

* Tue Jun 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-19 
- add local vm running lock
  Before this patch, if users start the same VM upon it rebooting (shutdown, but
  about to start), two instances could be started.
  With this patch, we add a local VM running lock. Then either the rebooting
  instance get the lock, or the newly started one.
  We add a new local lock because the current dlm lock doesn't support this; dlm
  lock only prevent the VM from running on multiple nodes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14147772] 

* Fri Jun 01 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-18 
- using crypt() with salt and sha512 for agent password
  The old SHA password will be replaced upon successful authentication.
  Also the default user is removed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: John Haxby <john.haxby@oracle.com> [bug 14018738&13423154] 

* Fri Jun 01 2012 Cathy Avery <cathy.avery@oracle.com> - 3.2.1-17 
- Removed duplicate SERVER_RESERVED marker [bug 13785226] 

* Thu May 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-16 
- fix ovs_async_proc() returns none issue.
  Currently the caller (Manager) gets two XMLRPC responses: the PID and None.
  Most of the time PID is returned first so there's no problem. That's why it's
  hard to reproduce. We should exit the child to eliminate the second None return. [bug 14102901] 

* Wed May 30 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-15 
- Improve cluster teardown to avoid breaking the cluster when operation fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 14024916] 

* Thu May 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-14 
- make vmconfig/assembly/template code more generic
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri May 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-13 
- Do not notify master change on manual remaster so the core API won't be confused.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 13955543 

* Thu May 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-12 
- Include VLAN ID and port base-name in the VLAN block (ethx.y) during discover network.
  This is to accommodates the manager requirement when handling Linux, and Solaris network discovery.
- retain server roles when removing server from pool
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Fri May 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-11 
- add more capabilities to discover server
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-10 
- move generic api network methods to base class
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-9 
- move generic api host methods to base class
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-8 
- add discover server capabilities support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon May 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-7 
- report vm running on xenstore break
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon May 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-6 
- check xenstore for vm running.
  This works even when xend is stopped.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-5 
- EINTR errors returned by select() should be ignored
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue May 01 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-4 
- Fix server role handling.
  After this patch, agent will not care about server roles; it just stores it
  there and return it on discovery.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14021630&13967480] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-3 
- covert file using pipeline and get ride of unsecured old_run_cmd().
  Also add some check before running the pipeline command. [bug 13586490] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-2 
- console: fix running vm number
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13938197] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-1
- Rebase 

* Wed Apr 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-89 
- Revert the patch for bug 13955543.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Apr 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-88 
- Send the remaster notification when remaster happens on a non-clustered server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Apr 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-87 
- Do not send the remaster notification on a manual remaster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 13955543] 

* Fri Apr 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-86 
- The bug was caused by missing the tap device in HVM guest. It is correct now,
  all interfaces of a bridge will be changed. [bug 13951015] 

* Thu Apr 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-85 
- fix no SMBIOS info on discover_hardware for Dell machines.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Mar 30 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-84 
- fixed [bug 13901695] 

* Thu Mar 29 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-83 
- put hostname and ip into log to make debugging easier
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Mar 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-82 
- Parse /etc/oracle-release to get OS name and version.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-81 
- Revert commit 8250. 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-80 
- Update host OS name to Oracle Linux.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-79 
- Reduce the connected retry time on connection reset from 60
  second to 30 second, and Replace  exception  with error logs [bug 13044663] 

* Mon Mar 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-78 
- use different directives for hvm/pvm vnc [bug 13887745] 

* Mon Mar 26 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-77 
- fixed [bug 13885504] 

* Sat Mar 24 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-76 
- Persist mtu when add an interface to a bridge [bug 13865181] 

* Fri Mar 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-75 
- ovfxen: support new VirtualSystemType
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Fri Mar 23 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-74 
- Fixed logic error [bug 13880013] 

* Tue Mar 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-73 
- Close the opened file when lock fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Mar 19 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-72 
- Preserve the default route when a adding a bridge to a bond where the
  default route is on one of its VLANs Ex (bond.5) [bug 13848014] 

* Mon Mar 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-71 
- restart ovm-consoled to refresh SSL tty/vnc console wrappers upon take/release ownership.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-70 
- Protect remaster() with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-69 
- Protect qlayer-monitor reload with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Mar 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-68 
- filelock: close file on lock error.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 13808494] 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-67 
- Fixed a problem that may cause adding a port to a bond to fail 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-66 
- Fixed a return error when enabling lro 

* Mon Mar 12 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-65 
- Remove cluster.conf before stopping o2cb in cluster configuration rollback.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 13033100 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-64 
- Do not write the MAC address to the config file if we are adding a vlan over a bond. [bug 13611644] 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-63 
- disable interface(physical,bond,and vlans) LRO when adding it to a bridge [bug 13835180] 

* Thu Mar 08 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-62 
- Update messages sent to the core API when cluster operations fail.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Mar 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-61 
- Update 3 APIs to allow disposal of a cluster in error.
  destroy_cluster()
  leave_cluster()
  deconfigure_server_for_cluster()
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Tue Mar 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-60 
- Flush the cache after updating .ovsrepo so the update will be available on a
  different server connected to the same filesystem. It is related to the API
  ocfs2_get_meta_data() which reads the filesystem directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13804273] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-59 
- Add libaio-devel for build requires in the spec file.

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-58 
- Update build requires in the spec file.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-57 
- Remove an unused variable.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-56 
- Add libaio to linux_xen/setup.py to compile the ocfs2 extension.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-55 
- Make MTU persistent,and some clean up [bug 13725393] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-54 
- Fix the monitor base if it is broken on a clustered non-master server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Feb 27 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-53 
- ovfxen: adding default 'bootloader' and 'builder' to pv guest
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13618553] 

* Fri Feb 24 2012  <> - 3.1.1-52 
- discover_physical_luns should be in the linux host module
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Feb 24 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-51 
- Added deviceSizeRefresh call as first step of name change of deviceResize 

* Fri Feb 24 2012  <> - 3.1.1-50 
- poolfs API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 23 2012  <> - 3.1.1-49 
- cluster API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Feb 23 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-48 
- Fixed typo 

* Thu Feb 23 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-47 
- Fix monitor base if broken before statistics processing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13615293] 

* Thu Feb 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-46 
- use maxvcpus instead vcpu_avail
  Dynamic cpu feature needs some change in Manager side. Here is the current status:
  1. vcpu_avail is not used any more: we need to use maxvcpus and vcpus. (someone
  hacked to support this change between 3.4 and 4.0, but kept vcpu_avail option
  there. I should notify find it early. sorry.)
  2. dynamic vcpu change only works for PV guest right now.
  3. dynamic vcpu change only support shrink vcpu numbers right now.
  For 2 and 3, maybe we should document it in release note. Latest xen-unstable
  using xl is still the case.
  Attached is the agent side change. Please make the Manager side change:
  1. don't use vcpu_avail at all.
  2. use maxvcpus for cpu limit
  3. use vcpus for dynamic cpu count
  The good part is: after changing to vcpus and maxvcpus, when we switch to xl, no
  change is needed in Manager side.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13644714] 

* Wed Feb 22 2012  <> - 3.1.1-45 
- network API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Feb 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-44 
- Port discover hardware/network and C extentions to UEK2, xen 4.1.2 

* Fri Feb 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-43 
- Flush the cache before reading ocfs2 directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-42 
- add missing patch during refactor:
  r6971 | juwei | 2011-09-15 16:50:36 -0400 (Thu, 15 Sep 2011) | 9 lines
  Allow server removal when HB_CONFIGURED and server addition when CLUSTERED while in both cases the agent just does nothing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12715713] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-41 
- add missing patch during refactor:
  r7043 | zhigwang | 2011-10-05 17:23:41 -0400 (Wed, 05 Oct 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/utils/common.py
  M /ovm/trunk/vm.py
  remove error log in progress report thread 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-40 
- add missing patch during refactor:
  r6953 | zhigwang | 2011-09-13 14:59:32 -0400 (Tue, 13 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OVSConstants.py
  change monitor grace time to 3600
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-39 
- add missing patch during refactor:
  r6983 | amisherf | 2011-09-16 17:02:25 -0400 (Fri, 16 Sep 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/OVSNotificationServer.py
  Changed logging.error to logging.exception on send and connect to log stack trace of the binding. [bug 12983608] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-38 
- add missing patch during refactor:
  r7004 | juwei | 2011-09-28 17:03:51 -0400 (Wed, 28 Sep 2011) | 7 lines
  Changed paths:
  M /ovm/trunk/OVSCommons.py
  Log stdout data as well when run_cmd() fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-37 
- add missing patch during refactor:
  ------------------------------------------------------------------------
  r7008 | zhigwang | 2011-09-29 16:43:27 -0400 (Thu, 29 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OvfXen.py
  ovfxen: allow empty description
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13005139] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-36 
- add back this commit, we missed it during refactor
  r7006 | zhigwang | 2011-09-28 17:38:33 -0400 (Wed, 28 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/host.py
  enable ntpdate on ntpd start
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13578005&12999197] 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-35 
- Remove patch to fix build failure 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-34 
- Fix build failure 

* Wed Feb 15 2012  <> - 3.1.1-33 
- remote API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Feb 15 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-32 
- Update destroy_cluster() / leave_cluster() to allow force removal.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-31
- Rebase the tarball 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-30 
- add lint target
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-29  

* Tue Feb 14 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-28 
- Start the NFS service before export if necessary; Stop the NFS service after unexport if there is no other export.
  Handle the trailing "/" in the given path which causes unexport failures.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Feb 14 2012  <> - 3.1.1-27 
- support for building different targets
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Feb 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-26 
- fix dynamic vcpu setting
  Currently, 'vcpu' means the max vcpu count; 'vcpu_avail' mean the current vcpu
  count. We should change dynamic vcpu count when user set 'vcpu_avail'. [bug 13644714]
- remove unused function run_cmd_bg()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Feb 07 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-25 
- Restore the default route on managenet interface after changing the bond mode. [bug 13693072] 

* Tue Feb 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-24 
- Update export_fs(), unexport_fs() and disocver_exports().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 02 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-23 
- Change export_nfs() and unexport_nfs() to export_fs() and unexport_fs().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Feb 02 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-22 
- fix code bug: remove -> os.remove and logging.Exception -> logging.exception 

* Tue Jan 31 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-21 
- Update cluster discovery to accommodate the code refactoring.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jan 30 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-20 
- Add export_nfs() and unexport_nfs();
  Update discover_mounted_file_systems().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-19 
- fix error on import 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-18 
- This patch moves all xm calls to one place: xenxm.py.
  It's easier for ldoms integration and xl replacement.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-17
- Rebase the tarball

* Wed Jan 25 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-16 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jan 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-15 
- This patch adds a new testcase for some utils functions. It also removes some
  executable property from files. And also fixed a bug on progress reporter.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jan 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-14 
- fix typo: Oracel -> Oracle [bug 13533327] 

* Fri Jan 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-13 
- Minor changes to file read. 

* Thu Jan 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-12 
- remove unused xend configuration APIs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jan 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-11 
- stop_vm: support stopping orphan VMs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Jan 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-10 
- Fix parsing of /proc/mounts.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-9 
- The rest of change mtu 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-8 
- re-wrote ovs_change_mtu to except a range of values (1500 to 64000),
  and to changes  mtu on a physical,vlan,bond,and bridge interface 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-7 
- OK this now works. 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-6 
- Backout server reserve changes. 

* Wed Jan 11 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-5 
- Added boot from san disk exclusions to new server reserve xml tag 

* Wed Jan 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-4 
- Allow Manager to edit repository db when manager UUID is NONE. [bug 13563964] 

* Wed Jan 11 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-3 
- Fix indentation in discover_cluster().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jan 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-2 
- add missing unconfigure_vm() implement. 

* Fri Jan 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-1 
- Initial build.
